org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPTemplateScope

All Superinterfaces:
  ICPPScope, IScope

    public interface ICPPTemplateScope
    extends ICPPScope

A separate template scope is used for each template declaration. This leads to a non-hierarchical structure of scopes. E.g. for a method of a class-template the declaration and definition will nests in different template-scopes. Therefore `IScope.getParent()` will never return a template scope unless the method is called for a template-scope that directly nests in another one.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTTemplateDeclaration` `getTemplateDeclaration()` Returns the corresponding template declaration

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Method Detail

#### getTemplateDeclaration

    ICPPASTTemplateDeclaration getTemplateDeclaration()

Returns the corresponding template declaration

Since:
  5.1